Foxit PDF SDK

Instance Methods | List of all members
FSPreflight Class Reference
Inheritance diagram for FSPreflight:

## Instance Methods
(void) | - analyze:progress_callback:
| Analyze a PDF file. More...
(void) | - analyzeAndFixup:progress_callback:
| Analyze and fixup a PDF file. More...
(BOOL) | - canFixup:
| Check whether the item key can be fixuped or not. More...
(BOOL) | - generateReport:progress_callback:
| Generate report after analyzing or fixing. More...
(NSArray< NSData * > *) | - getGroupNamesArray:operate_type:
| Get all group names array corresponding to the library type and operation type. More...
(NSArray< NSData * > *) | - getItemKeysArray:
| Get item keys array with the specific group name. More...
(id) | - init
| Constructor.
(id) | - initWithOther:
| Constructor, with another preflight object. More...
(BOOL) | - isEmpty
| Check whether current object is empty or not. More...

## Detailed Description

This class represents the analysis and fix-up functions that match a specified industry profile and performs checks or fix-ups.

## Method Documentation

## ◆ analyze:progress_callback:()

- (void) analyze: |  | (FSPreflightSettingData*) | preflight_setting_data
progress_callback: |  | (id<FSComplianceProgressCallback>) | progress_callback

Analyze a PDF file.

Parameters

  [in] | preflight_setting_data | The preflight setting data.
  [in] | progress_callback | A FSComplianceProgressCallback object which is implemented by user and can be used to get progress data.

Returns
  None.

## ◆ analyzeAndFixup:progress_callback:()

- (void) analyzeAndFixup: |  | (FSPreflightSettingData*) | preflight_setting_data
progress_callback: |  | (id<FSComplianceProgressCallback>) | progress_callback

Analyze and fixup a PDF file.

Parameters

  [in] | preflight_setting_data | The preflight setting data.
  [in] | progress_callback | A FSComplianceProgressCallback object which is implemented by user and can be used to get progress data.

Returns
  None.

## ◆ canFixup:()

- (BOOL) canFixup: |  | (NSString *) | item_key |

Check whether the item key can be fixuped or not.

Parameters

  [in] | item_key | The item key. It can be retrieved by FSPreflight::getItemKeysArray:.

Returns
  YES means can be fixuped, while NO means can not be fixuped.

## ◆ generateReport:progress_callback:()

- (BOOL) generateReport: |  | (FSPreflightReportSettingData*) | preflight_report_setting_data
progress_callback: |  | (id<FSComplianceProgressCallback>) | progress_callback

Generate report after analyzing or fixing.

Parameters

  [in] | preflight_report_setting_data | The preflight report setting data.
  [in] | progress_callback | A FSComplianceProgressCallback object which is implemented by user and can be used to get progress data.

Returns
  YES means success, while NO means failure.

## ◆ getGroupNamesArray:operate_type:()

- (NSArray< NSData * > *) getGroupNamesArray: |  | (FSPreflightSettingDataLibraryType) | library_type
operate_type: |  | (FSPreflightSettingDataOperateType) | operate_type

Get all group names array corresponding to the library type and operation type.

Parameters

  [in] | library_type | The library type. Please refer to values starting from FSPreflightSettingDataLibraryTypeFoxit and this should be one of these values.
  [in] | operate_type | The operate type. Please refer to values starting from FSPreflightSettingDataOperateTypeProfiles and this should be one of these values.

Returns
  The group names array.

## ◆ getItemKeysArray:()

- (NSArray< NSData * > *) getItemKeysArray: |  | (NSString *) | group_name |

Get item keys array with the specific group name.

Parameters

  [in] | group_name | The group name which can obtain from the function FSPreflight::getGroupNamesArray:operate_type:.

Returns
  The item keys array.

## ◆ initWithOther:()

- (id) initWithOther: |  | (FSPreflight*) | other |

Constructor, with another preflight object.

Parameters

  [in] | other | Another preflight object.

## ◆ isEmpty()

- (BOOL) isEmpty |  |  |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  YES means current object is empty, while NO means not.